Download Consumer Profile agreement
curl --request GET \
--url https://api.creditor.younegotiate.com/manage-consumers/{consumer}/agreement \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/manage-consumers/{consumer}/agreement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/manage-consumers/{consumer}/agreement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>"
}{
"message": "<string>"
}Download Consumer Profile agreement
Download the settled consumer agreement PDF from the Consumer Profiles detail page. The account must belong to the authenticated creditor company and assigned subclient, when applicable. Only settled accounts can download an agreement.
GET
/
manage-consumers
/
{consumer}
/
agreement
Download Consumer Profile agreement
Last modified on July 20, 2026
Was this page helpful?
⌘I

